FetchMode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate
Enum FetchMode

    java.lang.Object
      java.lang.Enum<FetchMode>
          org.hibernate.FetchMode

All Implemented Interfaces:
  Serializable, Comparable<FetchMode>

    public enum FetchMode

extends Enum<FetchMode>

Represents an association fetching strategy. This is used together with the `Criteria` API to specify runtime fetching strategies.
For HQL queries, use the `FETCH` keyword instead.

See Also:
  `Criteria.setFetchMode(java.lang.String, FetchMode)`

Enum Constant Summary
`DEFAULT` Default to the setting configured in the mapping file.
`JOIN` Fetch using an outer join.
`SELECT` Fetch eagerly, using a separate select.

Field Summary
`static FetchMode` | `EAGER` Deprecated. use `FetchMode.JOIN`
`static FetchMode` | `LAZY` Deprecated. use `FetchMode.SELECT`

Method Summary
`static FetchMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FetchMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final FetchMode DEFAULT

  Default to the setting configured in the mapping file.

### JOIN

    public static final FetchMode JOIN

  Fetch using an outer join. Equivalent to `fetch="join"`.

### SELECT

    public static final FetchMode SELECT

  Fetch eagerly, using a separate select. Equivalent to `fetch="select"`.

Field Detail

### LAZY

    public static final FetchMode LAZY

  Deprecated. use `FetchMode.SELECT`
  Fetch lazily. Equivalent to `outer-join="false"`.

### EAGER

    public static final FetchMode EAGER

  Deprecated. use `FetchMode.JOIN`
  Fetch eagerly, using an outer join. Equivalent to `outer-join="true"`.

Method Detail

### values

    public static FetchMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FetchMode c : FetchMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FetchMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.